!
      if (vars(iValue)%flagRef) then
         write (iUnit,*) CMD(1:lCMD),                                  &
     &        " /flagRef ", "yes"
      else
         write (iUnit,*) CMD(1:lCMD),                                  &
     &        " /flagRef ", "no"
      end if
!
